org.apache.lucene.analysis.ja

## Class JapaneseIterationMarkCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.lucene.analysis.ja.JapaneseIterationMarkCharFilterFactory

-     public class JapaneseIterationMarkCharFilterFactory
      extends CharFilterFactory

  Factory for `JapaneseIterationMarkCharFilter`.

       <fieldType name="text_ja" class="solr.TextField" positionIncrementGap="100" autoGeneratePhraseQueries="false">
         <analyzer>
           <charFilter class="solr.JapaneseIterationMarkCharFilterFactory normalizeKanji="true" normalizeKana="true"/>
           <tokenizer class="solr.JapaneseTokenizerFactory"/>
         </analyzer>
       </fieldType>

  Since:
    4.0.0
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "japaneseIterationMark"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JapaneseIterationMarkCharFilterFactory(Map<String,String> args)` Creates a new JapaneseIterationMarkCharFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader` | `create(Reader input)`
    `Reader` | `normalize(Reader input)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

      `availableCharFilters, findSPIName, forName, lookupClass, reloadCharFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JapaneseIterationMarkCharFilterFactory

          public JapaneseIterationMarkCharFilterFactory(Map<String,String> args)

      Creates a new JapaneseIterationMarkCharFilterFactory

  - ### Method Detail

    - #### create

          public Reader create(Reader input)

      Specified by:
        `create` in class `CharFilterFactory`

    - #### normalize

          public Reader normalize(Reader input)

      Overrides:
        `normalize` in class `CharFilterFactory`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.